<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" encoding="windows-1251" indent="yes"/>

<xsl:template match="/data">
<html>
<head>
</head>
<body>
    <center>
    	<h2>  </h2>
    	
    	<xsl:call-template name="table"/><br/>
    	<xsl:call-template name="sums"/><br/>
     </center>    
</body>
</html>
</xsl:template>

<xsl:template name="table">
<table width="100%" border="1" cellspacing="0" cellpadding="1" style="border: 1px solid #000000; font-family: Arial; font-size: 8px;">
     <tr bgcolor="#f0f0f0">         
         <td></td>
	 <td></td>
         <td></td>
	 <td></td>
	 <td>.</td>
         <td></td>
         <td width="50px"></td>
         <td></td>
	 <td></td>
	 <td width="25%"></td>
     </tr>
     <xsl:for-each select="/data/table/data/row">
         <tr bgcolor="#ffffff" style="border: 1px solid #000000;">
             <td nowrap="nowrap">&#160;<xsl:value-of select="@contract"/></td>
	     <td nowrap="nowrap">&#160;<xsl:value-of select="@open_date"/></td>
             <td>&#160;<xsl:value-of select="@street"/></td>              	 
	     <td nowrap="nowrap">&#160;<xsl:value-of select="@house"/></td>
	     <td nowrap="nowrap">&#160;<xsl:value-of select="@flat"/></td>
             <td>&#160;<xsl:value-of select="@fio"/></td>
             <td>&#160;<xsl:value-of select="@phone"/></td>
             <td>&#160;<xsl:value-of select="@comment"/></td>	     
	     <td>&#160;<xsl:value-of select="@resolution"/></td>
	     <td>&#160;<xsl:value-of select="@executors"/></td>
	      <!--
	      <td>&#160;<xsl:value-of select="@id"/></td> -->
         </tr>
     </xsl:for-each>         
</table>
</xsl:template>

<xsl:template name="sums">
<br/>
	 :&#160;<xsl:value-of select="count(/data/table/data/row)"/>&#160;
    	:&#160;<xsl:value-of select="count(/data/table/data/row[@status_code='0'])"/>&#160;
    	:&#160;<xsl:value-of select="count(/data/table/data/row[@status_code='1'])"/>&#160;
    	:&#160;<xsl:value-of select="count(/data/table/data/row[@status_code='2'])"/>&#160;
</xsl:template>

</xsl:stylesheet>
