<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" encoding="windows-1251" indent="yes"/>

<xsl:template match="/data">
<html>
<head>
</head>
<body>
    <center>
    	<h2>  </h2>
    	
    	<xsl:call-template name="table"/><br/>
    	<xsl:call-template name="sums"/><br/>
     </center>    
</body>
</html>
</xsl:template>

<xsl:template name="table">
	<div align="left">
     <xsl:for-each select="/data/table/data/row">
     		<xsl:value-of select="@street"/>-<xsl:value-of select="@house"/>-<xsl:value-of select="@flat"/>-<xsl:value-of select="@contract"/><br/>
     </xsl:for-each>
    </div>          
</xsl:template>

<xsl:template name="sums">
<br/>
	 :&#160;<xsl:value-of select="count(/data/table/data/row)"/>&#160;
    	:&#160;<xsl:value-of select="count(/data/table/data/row[@status_code='0'])"/>&#160;
    	:&#160;<xsl:value-of select="count(/data/table/data/row[@status_code='1'])"/>&#160;
    	:&#160;<xsl:value-of select="count(/data/table/data/row[@status_code='2'])"/>&#160;
</xsl:template>

</xsl:stylesheet>
